Up

# NSOpenGL documentation

### Authors

Frederic De Jaeger

Copyright: (C) 2002 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSOpenGLContext class
2. Software documentation for the NSOpenGLPixelFormat class

# Software documentation for the NSOpenGLContext class

## NSOpenGLContext : NSObject

> Declared in:
>   AppKit/NSOpenGL.h

Availability: OpenStep
Description forthcoming.
Method summary

- +clearCurrentContext
- +currentContext
- -clearDrawable
- -copyAttributesFromContext:withMask:
- -createTexture:fromView:internalFormat:
- -currentVirtualScreen
- -flushBuffer
- -getValues:forParameter:
- -initWithFormat:shareContext:
- -makeCurrentContext
- -setCurrentVirtualScreen:
- -setFullScreen
- -setOffScreen:width:height:rowbytes:
- -setValues:forParameter:
- -setView:
- -update
- -view

### clearCurrentContext

+ (void) clearCurrentContext;
Availability: OpenStep
Description forthcoming.

### currentContext

+ (NSOpenGLContext*) currentContext;
Availability: OpenStep
Description forthcoming.

### clearDrawable

- (void) clearDrawable;
Availability: OpenStep
Description forthcoming.

### copyAttributesFromContext: withMask:

- (void) copyAttributesFromContext: (NSOpenGLContext*)context withMask: (unsigned long)mask;
Availability: OpenStep
Description forthcoming.

### createTexture: fromView: internalFormat:

- (void) createTexture: (unsigned long)target fromView: (NSView*)view internalFormat: (unsigned long)format;
Availability: OpenStep
Description forthcoming.

### currentVirtualScreen

- (int) currentVirtualScreen;
Availability: OpenStep
Description forthcoming.

### flushBuffer

- (void) flushBuffer;
Availability: OpenStep
Description forthcoming.

### getValues: forParameter:

- (void) getValues: (long*)vals forParameter: (NSOpenGLContextParameter)param;
Availability: OpenStep
Description forthcoming.

### initWithFormat: shareContext:

- (id) initWithFormat: (NSOpenGLPixelFormat*)format shareContext: (NSOpenGLContext*)share;
Availability: OpenStep
Description forthcoming.

### makeCurrentContext

- (void) makeCurrentContext;
Availability: OpenStep
Description forthcoming.

### setCurrentVirtualScreen:

- (void) setCurrentVirtualScreen: (int)screen;
Availability: OpenStep
Description forthcoming.

### setFullScreen

- (void) setFullScreen;
Availability: OpenStep
Description forthcoming.

### setOffScreen: width: height: rowbytes:

- (void) setOffScreen: (void*)baseaddr width: (long)width height: (long)height rowbytes: (long)rowbytes;
Availability: OpenStep
Description forthcoming.

### setValues: forParameter:

- (void) setValues: (const long*)vals forParameter: (NSOpenGLContextParameter)param;
Availability: OpenStep
Description forthcoming.

### setView:

- (void) setView: (NSView*)view;
Availability: OpenStep
Description forthcoming.

### update

- (void) update;
Availability: OpenStep
Description forthcoming.

### view

- (NSView*) view;
Availability: OpenStep
Description forthcoming.

# Software documentation for the NSOpenGLPixelFormat class

## NSOpenGLPixelFormat : NSObject

> Declared in:
>   AppKit/NSOpenGL.h

Availability: OpenStep
Description forthcoming.
Method summary

- -getValues:forAttribute:forVirtualScreen:
- -initWithAttributes:
- -numberOfVirtualScreens

### getValues: forAttribute: forVirtualScreen:

- (void) getValues: (long*)vals forAttribute: (NSOpenGLPixelFormatAttribute)attrib forVirtualScreen: (int)screen;
Availability: OpenStep
Description forthcoming.

### initWithAttributes:

- (id) initWithAttributes: (NSOpenGLPixelFormatAttribute*)attribs;
Availability: OpenStep
Description forthcoming.

### numberOfVirtualScreens

- (int) numberOfVirtualScreens;
Availability: OpenStep
Description forthcoming.

Up